body {
    margin: 0;
    background-color: antiquewhite;
    font-family: "Century Gothic", helvetica, arial, sans-serif;
    font-size: 1.2em;
}

#container {
    width: 1140px;
    background-color: white;
    margin:auto;
    overflow: auto;
    height: 100vh;
    padding: 15px;
    box-sizing: border-box;
}

form div {
    display: grid;
    grid-template-columns: 100px 1fr ;
    grid-gap: 10px;
    margin: 20px 10px 10px ; /* l r b t */
}

form div input, form div textarea {
    border: 1px inset cadetblue;
    background-color: rgba(0,0, 0,0.1);
    border-radius: 3px;
}

form div input.error, form div textarea.error {
    border: 1px inset red;
    background-color: rgba(255,0, 0,0.1);
}

form div label.error {
    color:red
}

form  button {
     border : 1px outset #3cb371;
     background-color: #139650;
     color:white;
     padding: 10px;
     cursor: pointer;
     box-shadow: 5px 5px 5px rgba(0,0,0,0.1);
 }

form  button:hover {
    background-color: #60947a;
}

form  button:active {
    background-color: #60947a;
    box-shadow: none;
}

.alert {
    color: white;
    margin: 5px;
    padding: 15px;
    border-radius: 5px;
    text-align: center;
}

.alert-danger {
    background-color: #fc4e4e;
}

.alert-info {
    color: black;
    background-color: #81ca9d;
}

#comments_display {
    margin:20px;
    border : 1px outset #3cb371;
}

#comments_display article {
    border:1px solid black;
    border-radius: 15px;
    padding:0 15px;
    display: grid;
    grid-gap: 10px;
    grid-template-columns: 100px 1fr 100px;
}

#comments_display article p:first-child {
    font-style:italic;
}

#comments_display article img {
    height: 100px;
}


/*
width + padding + border = actual width of an element
height + padding + border = actual height of an element
 */